## fcitx-ui-light 0.1.2

=== CMakeLists.txt ===
project(fcitx-light-ui)
cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
FIND_PACKAGE(Libintl REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(Fcitx 4.1.2 REQUIRED)
FIND_PACKAGE(X11 REQUIRED)
FIND_PACKAGE(PkgConfig REQUIRED)

pkg_check_modules(FONTCONFIG "fontconfig" REQUIRED)
pkg_check_modules(FREETYPE2 "freetype2" REQUIRED)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

include(FindPkgConfig)

set(prefix      ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(bindir ${prefix}/bin)
set(libdir ${LIB_INSTALL_DIR})
set(addondir ${libdir}/${package} )
set(pkgdatadir ${CMAKE_INSTALL_PREFIX}/share/${package})
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
set(includedir  ${CMAKE_INSTALL_PREFIX}/include)
add_definitions("-D_GNU_SOURCE")
set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

configure_file(config.h.in config.h)

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
add_subdirectory(xpm)

=== po/CMakeLists.txt ===
set(PO_FILES zh_CN.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-light-ui.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-light-ui --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== debian/changelog ===
fcitx-ui-light (0.1.2-2) unstable; urgency=low

  * debian/patches/01-traywindow_none.patch:
    [UPSTREAM] detect to avoid trayWindow->window is None.

 -- Aron Xu <aron@debian.org>  Tue, 25 Oct 2011 02:23:32 +0800

fcitx-ui-light (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #638780)

 -- Aron Xu <aron@debian.org>  Mon, 24 Oct 2011 23:59:38 +0800

=== debian/control ===
Source: fcitx-ui-light
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, gettext, pkg-config, intltool,
 fcitx-libs-dev (>= 1:4.1.2), libfontconfig1-dev, libfreetype6-dev,
 libxft-dev, libxpm-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-ui-light.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-ui-light.git

Package: fcitx-ui-light
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: light weight xlibs and xft based UI for Fcitx
 fcitx-ui-light is a very light weight UI for Fcitx, using only xlibs
 and xft. It is directly inherited from the UI code base of Fcitx 3.x
 series.
 .
 This UI is intended to work on all X11 environment with minimal
 dependencies, so it can scale to more situations where none of Cairo,
 Pango or QT is available.

## fcitx-ui-light 0.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(fcitx-light-ui)
 cmake_minimum_required(VERSION 2.6)
 
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 FIND_PACKAGE(Libintl REQUIRED)
 FIND_PACKAGE(Gettext REQUIRED)
 FIND_PACKAGE(Fcitx 4.1.2 REQUIRED)

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-light-ui.conf)
fcitx_add_configdesc_file(fcitx-light-ui.desc)

set(FCITX_DSEKTOP_FILES
    fcitx-light.desktop
)

intltool_merge_translation(${CMAKE_CURRENT_SOURCE_DIR}/fcitx-light.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/fcitx-light.desktop )

add_custom_target(desktopfile ALL DEPENDS ${FCITX_DSEKTOP_FILES})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx-light.desktop DESTINATION share/applications/)

=== src/CMakeLists.txt ===
set(FCITX_LIGHT_UI_SRCS
    font.c
    InputWindow.c
    lightui.c
    lightuiconfig.c
    MenuWindow.c
    draw.c
    tray.c
    TrayWindow.c
    MainWindow.c
)

include_directories(
    ${PROJECT_BINARY_DIR}
    ${PROJECT_SOURCE_DIR}/xpm
    ${X11_INCLUDE_DIRS}
    ${FONTCONFIG_INCLUDE_DIRS}
    ${X11_Xft_INCLUDE_PATH}
    ${X11_Xpm_INCLUDE_PATH}
    ${FREETYPE2_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    ${FCITX4_FCITX_INCLUDE_DIRS}
)

link_directories(
    ${FONTCONFIG_LIBRARY_DIRS}
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon(fcitx-light-ui ${FCITX_LIGHT_UI_SRCS})
target_link_libraries(fcitx-light-ui
                      ${X11_LIBRARIES}
                      ${X11_Xpm_LIB}
                      ${FONTCONFIG_LIBRARIES}
                      ${X11_Xft_LIB}
                      ${LIBINTL_LIBRARIES}
)

=== debian/changelog ===
fcitx-ui-light (0.1.3-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112906)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 21:47:47 +0300

fcitx-ui-light (0.1.3-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Replace transitional dummy package: libfontconfig1-dev,
      libfreetype6-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jul 2023 16:17:59 -0400

fcitx-ui-light (0.1.3-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Fix homepage field.
    + Bump debhelper compat to v13.
    + Mark package as Multi-Arch: same.
  * debian/patches: Backport upstream trunk fixes.

 -- Boyuan Yang <byang@debian.org>  Mon, 30 May 2022 15:42:42 -0400

fcitx-ui-light (0.1.3-3) unstable; urgency=medium

  * Team upload.
  * Refresh packaging instructions.
    + Apply "wrap-and-sort -abst".
    + Remove trailing spaces in d/changelog and d/rules.
  * debian/control:
    + Fix maintainer field and use debian-input-method team address.
      Closes: #899968.
    + Bump fcitx version requirement.
    + Remove DMUA information.
    + Update YunQiang Su's email address with @debian.org one.
    + Bump Standards-Version to 4.1.5.
    + Bump debhelper compat to v11.
    + Use GitLab as homepage.
    + Use canonical Vcs repo URL on Salsa platform.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Apply full hardening.
  * Point d/watch to download.fcitx-im.org.
  * Refresh d/copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Jul 2018 11:37:55 +0800

fcitx-ui-light (0.1.3-2) unstable; urgency=low

  * debian/patch0001-dont-display-desktop-file.patch
    Don't display desktop file.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 08 Feb 2012 02:46:10 +0800

fcitx-ui-light (0.1.3-1) unstable; urgency=low

  * New upstream release: for fcitx 4.2.0.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 05 Feb 2012 21:21:38 +0800

=== debian/control ===
Source: fcitx-ui-light
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-libs-dev (>= 1:4.2.9),
 gettext,
 intltool,
 libfontconfig-dev,
 libfreetype-dev,
 libxft-dev,
 libxpm-dev,
 pkg-config,
Standards-Version: 4.6.2
Homepage: https://github.com/fcitx/fcitx-ui-light
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-ui-light.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-ui-light

Package: fcitx-ui-light
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: light weight xlibs and xft based UI for Fcitx
 fcitx-ui-light is a very light weight UI for Fcitx, using only xlibs
 and xft. It is directly inherited from the UI code base of Fcitx 3.x
 series.
 .
 This UI is intended to work on all X11 environment with minimal
 dependencies, so it can scale to more situations where none of Cairo,
 Pango or QT is available.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

override_dh_makeshlibs:

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-ui-light/ \
 fcitx-ui-light-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
